CREATE TABLE PlanOwner 
(cardNo	CHAR(4) NOT NULL,
 name	CHAR(10),
 PRIMARY KEY (cardno));

CREATE TABLE PlanUnit 
(unitId		CHAR(3)	NOT NULL,
 unitName	CHAR(20),
 managerUnit	CHAR(3),
 PRIMARY KEY (unitId),
 CONSTRAINT fk_unitId FOREIGN KEY (managerUnit)
 REFERENCES PlanUnit(unitId) on delete cascade);

CREATE TABLE Plan 
(planId		CHAR(10)	NOT NULL,
 year 		CHAR(4),
 startDate	date,
 endDate	date,
 actDate	date,
 cardNo		CHAR(4),
 unitId		CHAR(3),
 PRIMARY KEY (planId),
 CONSTRAINT fk_cardNo FOREIGN KEY (cardNo)
 REFERENCES PlanOwner(cardNo) on delete cascade,
 CONSTRAINT fk_unitId1 FOREIGN KEY (unitId)
 REFERENCES PlanUnit(unitId) on delete cascade);

CREATE TABLE Assistance
(assistId	CHAR(10)	NOT NULL,
 assName	CHAR(10),
 birthday	date,
 education	CHAR(10),
 bankaccount	CHAR(10),
 PRIMARY KEY (assistId) );

CREATE TABLE Assrecord
(planId		CHAR(10)	NOT NULL,
 seqNo		SMALLINT        NOT NULL,
 employeeType	CHAR(10),
 eStartDate	date,
 eEndDate	date,
 eActDate	date,
 assistId	CHAR(10),
 PRIMARY KEY (planId , seqno),
 CONSTRAINT fk_Assrec1 FOREIGN KEY (planId)
 REFERENCES Plan(planId) on delete cascade,
 CONSTRAINT fk_assrec2 FOREIGN KEY (assistId)
 REFERENCES assistance(assistId) on delete cascade);

CREATE TABLE Payment
(planId		CHAR(10)	NOT NULL,
 seqNo		SMALLINT        NOT NULL,
 paydate	date		NOT NULL,
 payment	INT,
 deduction	INT,
 PRIMARY KEY (planId,seqno,paydate) ,
 CONSTRAINT fk_payment FOREIGN KEY (planId , seqno)
 REFERENCES assrecord(planId , seqno) on delete cascade);


